LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
XSeekableInputStream Interface Referencepublished

This interface can be used to represent a seekable input stream. More...

`import"XSeekableInputStream.idl";`

Inheritance diagram for XSeekableInputStream:

## Exported Interfaces
interface | XInputStream
interface | XSeekable

## Additional Inherited Members
Public Member Functions inherited from XInputStream
long | readBytes ([out] sequence< byte > aData, [in] long nBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| reads the specified number of bytes in the given sequence. More...
long | readSomeBytes ([out] sequence< byte > aData, [in] long nMaxBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| reads the available number of bytes, at maximum nMaxBytesToRead. More...
void | skipBytes ([in] long nBytesToSkip) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| skips the next nBytesToSkip bytes (must be positive). More...
long | available () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException )
| states how many bytes can be read or skipped without blocking. More...
void | closeInput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException)
| closes the stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XSeekable
void | seek ([in] hyper location) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| changes the seek pointer to a new location relative to the beginning of the stream. More...
hyper | getPosition () raises ( com::sun::star::io::IOException )
| returns the current offset of the stream. More...
hyper | getLength () raises ( com::sun::star::io::IOException )
| returns the length of the stream. More...

## Detailed Description

This interface can be used to represent a seekable input stream.

## Exported Interfaces

## ◆ XInputStream

interface XInputStream

## ◆ XSeekable

interface XSeekable

The documentation for this interface was generated from the following file:

- com/sun/star/io/XSeekableInputStream.idl